
From: Jens Axboe <axboe@suse.de>



Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/irq.c |   13 ++++++-------
 1 files changed, 6 insertions(+), 7 deletions(-)

diff -puN arch/i386/kernel/irq.c~fix-of-stack-dump-in-soft-hardirqs-build-fix-3 arch/i386/kernel/irq.c
--- 25/arch/i386/kernel/irq.c~fix-of-stack-dump-in-soft-hardirqs-build-fix-3	2004-10-05 01:46:02.843189992 -0700
+++ 25-akpm/arch/i386/kernel/irq.c	2004-10-05 01:46:02.847189384 -0700
@@ -108,6 +108,11 @@ asmlinkage unsigned int do_IRQ(struct pt
 	return 1;
 }
 
+/*
+ * Interrupt statistics:
+ */
+atomic_t irq_err_count;
+
 #ifdef CONFIG_4KSTACKS
 
 /*
@@ -189,13 +194,6 @@ asmlinkage void do_softirq(void)
 }
 
 EXPORT_SYMBOL(do_softirq);
-#endif		/* CONFIG_4KSTACKS */
-
-/*
- * Interrupt statistics:
- */
-
-atomic_t irq_err_count;
 
 int is_irq_stack_ptr(struct task_struct *task, void *p)
 {
@@ -211,6 +209,7 @@ int is_irq_stack_ptr(struct task_struct 
 
 	return 0;
 }
+#endif		/* CONFIG_4KSTACKS */
 
 /*
  * /proc/interrupts printing:
_
